## rust-procs 0.14.10

=== Makefile ===
VERSION = $(patsubst "%",%, $(word 3, $(shell grep version Cargo.toml)))
BUILD_TIME = $(shell date +"%Y/%m/%d %H:%M:%S")
GIT_REVISION = $(shell git log -1 --format="%h")
RUST_VERSION = $(word 2, $(shell rustc -V))
LONG_VERSION = "$(VERSION) ( rev: $(GIT_REVISION), rustc: $(RUST_VERSION), build at: $(BUILD_TIME) )"
BIN_NAME = procs

export LONG_VERSION

.PHONY: all test clean release_lnx release_win release_mac

all: test

test:
	cargo test --locked

watch:
	cargo watch test --locked

clean:
	cargo clean

release_lnx:
	cargo build --locked --release --target=x86_64-unknown-linux-musl
	zip -j ${BIN_NAME}-v${VERSION}-x86_64-linux.zip target/x86_64-unknown-linux-musl/release/${BIN_NAME}

release_lnx_aarch64:
	cargo build --locked --release --target=aarch64-unknown-linux-musl
	zip -j ${BIN_NAME}-v${VERSION}-aarch64-linux.zip target/aarch64-unknown-linux-musl/release/${BIN_NAME}

release_win:
	cargo build --locked --release --target=x86_64-pc-windows-msvc
	mv -v target/x86_64-pc-windows-msvc/release/${BIN_NAME}.exe ./
	7z a ${BIN_NAME}-v${VERSION}-x86_64-windows.zip ${BIN_NAME}.exe

release_mac:
	cargo build --locked --release --target=x86_64-apple-darwin
	cargo build --locked --release --target=aarch64-apple-darwin
	zip -j ${BIN_NAME}-v${VERSION}-x86_64-mac.zip target/x86_64-apple-darwin/release/${BIN_NAME}
	zip -j ${BIN_NAME}-v${VERSION}-aarch64-mac.zip target/aarch64-apple-darwin/release/${BIN_NAME}

release_rpm:
	mkdir -p target
	cargo rpm build
	cp target/x86_64-unknown-linux-musl/release/rpmbuild/RPMS/x86_64/* ./

## rust-procs 0.14.6

=== debian/changelog ===
rust-procs (0.14.6-2) unstable; urgency=medium

  * Package procs 0.14.6 from crates.io using debcargo 2.7.1
  * d/patches: remove relax-deps.diff - bring which dependency back to v6

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 18 Oct 2024 08:09:54 +0000

rust-procs (0.14.6-1) unstable; urgency=medium

  * Package procs 0.14.6 from crates.io using debcargo 2.7.0 (Closes: #1018258)

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 11 Oct 2024 15:33:59 +0000

=== debian/control ===
Source: rust-procs
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native (>= 1.74),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-byte-unit-5+default-dev (>= 5.1-~~),
 librust-chrono-0.4+clock-dev (>= 0.4.38-~~),
 librust-clap-4+default-dev (>= 4.4-~~),
 librust-clap-4+derive-dev (>= 4.4-~~),
 librust-clap-complete-4+default-dev (>= 4.4-~~),
 librust-console-0.15+default-dev (>= 0.15.8-~~),
 librust-directories-5+default-dev (>= 5.0.1-~~),
 librust-dockworker-0.5+default-dev (>= 0.5.1-~~),
 librust-getch-0.3+default-dev (>= 0.3.1-~~),
 librust-libc-0.2+default-dev,
 librust-minus-5+default-dev (>= 5.6-~~),
 librust-minus-5+search-dev (>= 5.6-~~),
 librust-minus-5+static-output-dev (>= 5.6-~~),
 librust-once-cell-1+default-dev (>= 1.19.0-~~),
 librust-pager-0.16+default-dev (>= 0.16.1-~~),
 librust-procfs-0.14+default-dev,
 librust-regex-1+default-dev (>= 1.10-~~),
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-termbg-0.5+default-dev,
 librust-tokio-1+default-dev (>= 1.38-~~),
 librust-tokio-1+rt-dev (>= 1.38-~~),
 librust-toml-0.8+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-uzers-0.12+default-dev,
 librust-which-6+default-dev,
 asciidoctor,
 dh-shell-completions
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 NoisyCoil <noisycoil@tutanota.com>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/procs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/procs
X-Cargo-Crate: procs
Rules-Requires-Root: no

Package: procs
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 less
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: modern replacement for ps
 procs lists processes and their stats, like ps but in a more
 human-readable way.
 .
 It displays additional information like TCP/UDP ports being
 listened on by the process, its read/write throughput and the
 name of the Docker container in which it is running, if any.
 .
 It supports colorized output, automatic theme detection based
 on terminal background, multi-column keyword search, paging,
 watch mode and tree view. The output can be customized using
 a configuration file.
 .
 Processes can be filtered by command, user or PID and the
 filters can be combined using logical operators.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo --with shell_completions

override_dh_auto_test:
	dh_auto_test -- test --all

override_dh_installdocs:
	$$(find $(CURDIR)/debian -name procs -executable -not -type d | head -1) --gen-config > $(CURDIR)/debian/config.toml.example
	dh_installdocs

override_dh_installman:
	asciidoctor -b manpage -o debian/procs.1 $(CURDIR)/man/procs.1.adoc
	dh_installman

override_dh_shell_completions:
	$$(find $(CURDIR)/debian -name procs -executable -not -type d | head -1) --gen-completion-out bash > $(CURDIR)/debian/procs.bash-completions
	$$(find $(CURDIR)/debian -name procs -executable -not -type d | head -1) --gen-completion-out zsh > $(CURDIR)/debian/procs.zsh-completions
	$$(find $(CURDIR)/debian -name procs -executable -not -type d | head -1) --gen-completion-out fish > $(CURDIR)/debian/procs.fish-completions
	dh_shell_completions

override_dh_compress:
	dh_compress -XREADME.md

## rust-procs 0.14.7

=== debian/changelog ===
rust-procs (0.14.7-1) unstable; urgency=medium

  * Package procs 0.14.7 from crates.io using debcargo 2.7.1
  * Improve usage of dh_shell_completions
  * d/patches: refresh patches, downgrade tokio, unicode-width and regex

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 22 Oct 2024 19:43:13 +0200

=== debian/control ===
--- 
+++ 
@@ -20,15 +20,15 @@
  librust-minus-5+default-dev (>= 5.6-~~),
  librust-minus-5+search-dev (>= 5.6-~~),
  librust-minus-5+static-output-dev (>= 5.6-~~),
- librust-once-cell-1+default-dev (>= 1.19.0-~~),
+ librust-once-cell-1+default-dev (>= 1.20.2-~~),
  librust-pager-0.16+default-dev (>= 0.16.1-~~),
  librust-procfs-0.14+default-dev,
  librust-regex-1+default-dev (>= 1.10-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
- librust-termbg-0.5+default-dev,
- librust-tokio-1+default-dev (>= 1.38-~~),
- librust-tokio-1+rt-dev (>= 1.38-~~),
+ librust-termbg-0.6+default-dev,
+ librust-tokio-1+default-dev (>= 1.39-~~),
+ librust-tokio-1+rt-dev (>= 1.39-~~),
  librust-toml-0.8+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-uzers-0.12+default-dev,

## rust-procs 0.14.9

=== debian/changelog ===
rust-procs (0.14.9-2) unstable; urgency=medium

  * Package procs 0.14.9 from crates.io using debcargo 2.7.6
  * Bump procfs dependency to v0.17

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 16 Feb 2025 17:44:28 +0100

rust-procs (0.14.9-1) unstable; urgency=medium

  * Package procs 0.14.9 from crates.io using debcargo 2.7.6
  * Downgrade directories to v5 and which to v6
  * d/copyright: update
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sun, 19 Jan 2025 13:14:18 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
  librust-byte-unit-5+default-dev (>= 5.1-~~),
- librust-chrono-0.4+clock-dev (>= 0.4.38-~~),
+ librust-chrono-0.4+clock-dev (>= 0.4.39-~~),
  librust-clap-4+default-dev (>= 4.4-~~),
  librust-clap-4+derive-dev (>= 4.4-~~),
  librust-clap-complete-4+default-dev (>= 4.4-~~),
- librust-console-0.15+default-dev (>= 0.15.8-~~),
- librust-directories-5+default-dev (>= 5.0.1-~~),
+ librust-console-0.15+default-dev (>= 0.15.10-~~),
+ librust-directories-5+default-dev,
  librust-dockworker-0.5+default-dev (>= 0.5.1-~~),
  librust-getch-0.3+default-dev (>= 0.3.1-~~),
  librust-libc-0.2+default-dev,
@@ -22,13 +22,13 @@
  librust-minus-5+static-output-dev (>= 5.6-~~),
  librust-once-cell-1+default-dev (>= 1.20.2-~~),
  librust-pager-0.16+default-dev (>= 0.16.1-~~),
- librust-procfs-0.14+default-dev,
- librust-regex-1+default-dev (>= 1.10-~~),
+ librust-procfs-0.17+default-dev,
+ librust-regex-1+default-dev (>= 1.11-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
- librust-termbg-0.6+default-dev,
- librust-tokio-1+default-dev (>= 1.39-~~),
- librust-tokio-1+rt-dev (>= 1.39-~~),
+ librust-termbg-0.6+default-dev (>= 0.6.2-~~),
+ librust-tokio-1+default-dev (>= 1.42-~~),
+ librust-tokio-1+rt-dev (>= 1.42-~~),
  librust-toml-0.8+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-uzers-0.12+default-dev,
@@ -41,6 +41,7 @@
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/procs]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/procs
+Homepage: https://github.com/dalance/procs
 X-Cargo-Crate: procs
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo --with shell_completions

override_dh_auto_test:
	dh_auto_test -- test --all

override_dh_installdocs:
	$$(find $(CURDIR)/debian -name procs -executable -not -type d | head -1) --gen-config > $(CURDIR)/debian/config.toml.example
	dh_installdocs

override_dh_installman:
	asciidoctor -b manpage -o debian/procs.1 $(CURDIR)/man/procs.1.adoc
	dh_installman

override_dh_compress:
	dh_compress -XREADME.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/procs-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/procs .*/crates/procs/@ANY_VERSION@/download

## rust-procs 0.14.10

=== debian/changelog ===
rust-procs (0.14.10-4) unstable; urgency=medium

  * Package procs 0.14.10 from crates.io using debcargo 2.7.11
  * Change my email address to @debian.org
  * d/p/relax-deps.diff: stop patching chrono, console, once_cell, tokio

 -- NoisyCoil <noisycoil@debian.org>  Wed, 19 Nov 2025 16:16:35 +0100

rust-procs (0.14.10-3) unstable; urgency=medium

  * Team upload.
  * Package procs 0.14.10 from crates.io using debcargo 2.7.8
  * d/patches: Build with which 8.0

 -- Matthias Geiger <werdahias@debian.org>  Tue, 19 Aug 2025 11:27:53 +0200

rust-procs (0.14.10-2) unstable; urgency=medium

  * Package procs 0.14.10 from crates.io using debcargo 2.7.8
  * Unset M-A: allowed for procs

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 15 May 2025 00:38:26 +0200

rust-procs (0.14.10-1) unstable; urgency=medium

  * Package procs 0.14.10 from crates.io using debcargo 2.7.8
  * Generate shell completions using build.rs
  * Patch out the `--gen-completion` cli options: completions are
    already provided by the distro
  * Do not print separators in json output
  * Bump dockworker dependency to v0.7
  * d/rules: delete generated manpage and shell completions during dh_auto_clean
  * d/copyright: set Upstream-Contact to the upstream bug tracker
  * d/patches:
    - add set-build-artifacts-dir.patch
    - add disable-gen-completion-options.patch
    - add do-not-print-separators-in-json.patch
    - refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 05 Apr 2025 23:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,51 +3,49 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native,
+ asciidoctor,
+ dh-shell-completions
+Build-Depends-Arch: cargo:native,
  rustc:native (>= 1.74),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
  librust-byte-unit-5+default-dev (>= 5.1-~~),
- librust-chrono-0.4+clock-dev (>= 0.4.39-~~),
+ librust-chrono-0.4+clock-dev (>= 0.4.40-~~),
  librust-clap-4+default-dev (>= 4.4-~~),
  librust-clap-4+derive-dev (>= 4.4-~~),
  librust-clap-complete-4+default-dev (>= 4.4-~~),
- librust-console-0.15+default-dev (>= 0.15.10-~~),
+ librust-console-0.15+default-dev (>= 0.15.11-~~),
  librust-directories-5+default-dev,
- librust-dockworker-0.5+default-dev (>= 0.5.1-~~),
+ librust-dockworker-0.7+default-dev,
  librust-getch-0.3+default-dev (>= 0.3.1-~~),
  librust-libc-0.2+default-dev,
  librust-minus-5+default-dev (>= 5.6-~~),
  librust-minus-5+search-dev (>= 5.6-~~),
  librust-minus-5+static-output-dev (>= 5.6-~~),
- librust-once-cell-1+default-dev (>= 1.20.2-~~),
+ librust-once-cell-1+default-dev (>= 1.21.2-~~),
  librust-pager-0.16+default-dev (>= 0.16.1-~~),
  librust-procfs-0.17+default-dev,
  librust-regex-1+default-dev (>= 1.11-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
  librust-termbg-0.6+default-dev (>= 0.6.2-~~),
- librust-tokio-1+default-dev (>= 1.42-~~),
- librust-tokio-1+rt-dev (>= 1.42-~~),
+ librust-tokio-1+default-dev (>= 1.44-~~),
+ librust-tokio-1+rt-dev (>= 1.44-~~),
  librust-toml-0.8+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-uzers-0.12+default-dev,
- librust-which-6+default-dev,
- asciidoctor,
- dh-shell-completions
+ librust-which-8+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
- NoisyCoil <noisycoil@tutanota.com>
-Standards-Version: 4.7.0
+ NoisyCoil <noisycoil@debian.org>
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/procs]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/procs
 Homepage: https://github.com/dalance/procs
 X-Cargo-Crate: procs
-Rules-Requires-Root: no
 
 Package: procs
 Architecture: any
-Multi-Arch: allowed
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/procs
Matching-Pattern:  .*/crates/procs/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/procs-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/

## rust-procs 0.14.11

=== debian/changelog ===
rust-procs (0.14.11-1) unstable; urgency=medium

  * Package procs 0.14.11 from crates.io using debcargo 2.7.11
  * Downgrade byte-unit, chrono, console, procfs, tokio and toml
  * d/patches:
    - drop do-not-print-separators-in-json.patch, included upstream
    - refresh

 -- NoisyCoil <noisycoil@debian.org>  Sun, 01 Mar 2026 01:48:53 +0100

rust-procs (0.14.10-5) unstable; urgency=medium

  * Team upload.
  * Package procs 0.14.10 from crates.io using debcargo 2.7.11
  * Stop patching unicode-with dependency.
  * Relax directories dependency to allow both versions 5 and 6.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 28 Dec 2025 14:30:22 +0000

=== debian/control ===
--- 
+++ 
@@ -6,33 +6,33 @@
  asciidoctor,
  dh-shell-completions
 Build-Depends-Arch: cargo:native,
- rustc:native (>= 1.74),
+ rustc:native (>= 1.88),
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
- librust-byte-unit-5+default-dev (>= 5.1-~~),
- librust-chrono-0.4+clock-dev (>= 0.4.40-~~),
+ librust-byte-unit-5+default-dev,
+ librust-chrono-0.4+clock-dev,
  librust-clap-4+default-dev (>= 4.4-~~),
  librust-clap-4+derive-dev (>= 4.4-~~),
  librust-clap-complete-4+default-dev (>= 4.4-~~),
- librust-console-0.15+default-dev (>= 0.15.11-~~),
- librust-directories-5+default-dev,
- librust-dockworker-0.7+default-dev,
+ librust-console-0.15+default-dev,
+ librust-directories-6+default-dev,
+ librust-dockworker-0.16+default-dev,
  librust-getch-0.3+default-dev (>= 0.3.1-~~),
  librust-libc-0.2+default-dev,
  librust-minus-5+default-dev (>= 5.6-~~),
  librust-minus-5+search-dev (>= 5.6-~~),
  librust-minus-5+static-output-dev (>= 5.6-~~),
- librust-once-cell-1+default-dev (>= 1.21.2-~~),
+ librust-once-cell-1+default-dev (>= 1.21.3-~~),
  librust-pager-0.16+default-dev (>= 0.16.1-~~),
  librust-procfs-0.17+default-dev,
- librust-regex-1+default-dev (>= 1.11-~~),
+ librust-regex-1+default-dev (>= 1.12-~~),
  librust-serde-1+default-dev,
  librust-serde-derive-1+default-dev,
  librust-termbg-0.6+default-dev (>= 0.6.2-~~),
- librust-tokio-1+default-dev (>= 1.44-~~),
- librust-tokio-1+rt-dev (>= 1.44-~~),
- librust-toml-0.8+default-dev,
- librust-unicode-width-0.1+default-dev,
+ librust-tokio-1+default-dev,
+ librust-tokio-1+rt-dev,
+ librust-toml-0.9+default-dev,
+ librust-unicode-width-0.2+default-dev,
  librust-uzers-0.12+default-dev,
  librust-which-8+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
